Method: feedSourceTypeSchemas.list

Full name: projects.locations.instances.feedSourceTypeSchemas.list

List all FeedSourceTypeSchemas.

HTTP request


GET https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/feedSourceTypeSchemas

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of FeedSourceTypeSchemas. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

The maximum number of FeedSourceTypeSchemas to return. The service may return fewer than this value. If unspecified all FeedSourceTypeSchemas will be returned, meaning one FeedSourceTypeSchema for each FeedDetails.FeedSourceType. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

A page token, received from a previous feedSourceTypeSchemas.list call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

feedSourceTypeSchemas.list response message.

If successful, the response body contains data with the following structure:

JSON representation
{
  "feedSourceTypeSchemas": [
    {
      object (FeedSourceTypeSchema)
    }
  ],
  "nextPageToken": string
}
Fields
feedSourceTypeSchemas[]

object (FeedSourceTypeSchema)

Schemas describing each FeedSourceType.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.feedSourceTypeSchemas.list

For more information, see the IAM documentation.

FeedSourceTypeSchema

Metadata that pertains to feed source types (see Feed.FeedDetails.FeedSourceType) that is useful for building interfaces to construct valid Feed messages.

JSON representation
{
  "name": string,
  "displayName": string,
  "description": string,
  "readOnly": boolean,
  "feedSourceType": enum (FeedSourceType)
}
Fields
name

string

The resource name for this FeedSourceTypeSchema. Format: "projects/{project}/locations/{location}/instances/{instance}/feedSourceTypeSchemas/{feedSourceType}".

displayName

string

A human-readable name for this feed source type.

description

string

A human-readable description for this feed source type.

readOnly

boolean

Whether feeds having this source type, while they are expected to exist, should not be modified (created, edited, or deleted).

feedSourceType

enum (FeedSourceType)

The value to be used in the details.feed_source_type field in the Feed message.